Index: palm/trunk/SCRIPTS/palm_gf_files/palm_gf_conf.py
===================================================================
--- palm/trunk/SCRIPTS/palm_gf_files/palm_gf_conf.py	(revision 4843)
+++ palm/trunk/SCRIPTS/palm_gf_files/palm_gf_conf.py	(revision 4869)
@@ -1,290 +1,60 @@
-def write_config(np_min, np_max, nx_min, nx_max, ny_min, ny_max, nz_min, nz_max, tpn, dnpexnpey, dnpexnpey_tolerance, dnxny, poisfft, switch,
-                 temperton, mlt_grid, spectr, rslt_thrs, ld_thrs):
-    #from configparser import ConfigParser  # windows
-    from ConfigParser import ConfigParser  # Linux
+#!/usr/bin/env python
+# windows
+from configparser import ConfigParser
+# linux
+#from configparser import configparser
+import os
 
-    # if __name__ == "__main__":
-    cfg = ConfigParser()
-
-    import os.path
-    if os.path.exists('.palm_gf_conf') is False:
-        cfg.add_section("processor_topology")
-        cfg.add_section("numerical_grid")
-        cfg.add_section("method")
-
-    #cfg.add_section("processor_topology")
-    cfg.set("processor_topology", "np_min", np_min)
-    cfg.set("processor_topology", "np_max", np_max)
-    cfg.set("processor_topology", "tasks_per_node", tpn)
-    cfg.set("processor_topology", "dnpexnpey", dnpexnpey)
-    cfg.set("processor_topology", "dnpexnpey_tolerance", dnpexnpey_tolerance)
-    cfg.set("processor_topology", "dnxny", dnxny)
-
-    #cfgadd_section("numerical_grid").
-    cfg.set("numerical_grid", "nx_min", nx_min)
-    cfg.set("numerical_grid", "nx_max", nx_max)
-    cfg.set("numerical_grid", "ny_min", ny_min)
-    cfg.set("numerical_grid", "ny_max", ny_max)
-    cfg.set("numerical_grid", "nz_min", nz_min)
-    cfg.set("numerical_grid", "nz_max", nz_max)
-
-    #cfg.add_section("method")
-    cfg.set("method", "poisfft", poisfft)
-    cfg.set("method", "switch", switch)
-    cfg.set("method", "temperton", temperton)
-    cfg.set("method", "mlt_grid", mlt_grid)
-    cfg.set("method", "spectr", spectr)
-
-    #cfg.add_section("settings")
-    #cfg.set("settings", "path", path)
-    #cfg.set("settings", "result_threshold", rslt_thrs)
-    #cfg.set("settings", "load_threshold", ld_thrs)
+cfg = ConfigParser()
 
 
-    with open(".palm_gf_config", "a") as configfile:
-        cfg.write(configfile)
+def cfg_write(nx_min, nx_max, ny_min, ny_max, nz_min, nz_max, np_min, np_max, tpn,
+              poisfft, switch, temperton, mlt_grid, spectr, dnxny, dpxpy, dpxpy_dev):
+    # receives parameters from palm_gf and creates/updates .ini file
+    if os.path.exists('./palm_gf_config.ini') is False:
+        cfg.add_section("Numerical Grid")
+        cfg.add_section("Processor Topology")
+        cfg.add_section("Method")
+    else:
+        cfg.read("palm_gf_config.ini")
+
+    cfg.set("Numerical Grid", "nx min", str(nx_min))
+    cfg.set("Numerical Grid", "nx max", str(nx_max))
+    cfg.set("Numerical Grid", "ny min", str(ny_min))
+    cfg.set("Numerical Grid", "ny max", str(ny_max))
+    cfg.set("Numerical Grid", "nz min", str(nz_min))
+    cfg.set("Numerical Grid", "nz max", str(nz_max))
+
+    cfg.set("Processor Topology", "np min", str(np_min))
+    cfg.set("Processor Topology", "np max", str(np_max))
+    cfg.set("Processor Topology", "tasks per node", str(tpn))
+    cfg.set("Processor Topology", "ratio nx/ny", str(dnxny))
+    cfg.set("Processor Topology", "ratio npex/npey", str(dpxpy))
+    cfg.set("Processor Topology", "ratio npex/npey tolerance", str(dpxpy_dev))
+
+    cfg.set("Method", "poisfft", str(poisfft))
+    cfg.set("Method", "switch", str(switch))
+    cfg.set("Method", "temperton", str(temperton))
+    cfg.set("Method", "multigrid", str(mlt_grid))
+    cfg.set("Method", "spectra", str(spectr))
+
+    with open("./palm_gf_config.ini", 'w') as cfgfile:
+        cfg.write(cfgfile)
+
+    return True
 
 
-def read_config():
-    #from configparser import ConfigParser  # windows
-    from ConfigParser import ConfigParser  # Linux
+def cfg_read():
+    # reads the .ini File and returns all parameters in a list
+    cfg.read("palm_gf_config.ini")
+    return_list = [cfg.get("Numerical Grid", "nx min"), cfg.get("Numerical Grid", "nx max"),
+                   cfg.get("Numerical Grid", "ny min"), cfg.get("Numerical Grid", "ny max"),
+                   cfg.get("Numerical Grid", "nz min"), cfg.get("Numerical Grid", "nz max"),
+                   cfg.get("Processor Topology", "np min"), cfg.get("Processor Topology", "np max"),
+                   cfg.get("Processor Topology", "tasks per node"), cfg.get("Processor Topology", "ratio nx/ny"),
+                   cfg.get("Processor Topology", "ratio npex/npey"),
+                   cfg.get("Processor Topology", "ratio npex/npey tolerance"), cfg.get("Method", "poisfft"),
+                   cfg.get("Method", "switch"), cfg.get("Method", "temperton"), cfg.get("Method", "multigrid"),
+                   cfg.get("Method", "spectra")]
 
-
-    cfg = ConfigParser()
-
-    cfg.read(".palm_gf_config")
-    np_min = cfg.get("processor_topology", "np_min")
-    np_max = cfg.get("processor_topology", "np_max")
-    tpn = cfg.get("processor_topology", "tasks_per_node")
-    dnpexnpey = cfg.get("processor_topology", "dnpexnpey")
-    dnpexnpey_tolerance = cfg.get("processor_topology", "dnpexnpey_tolerance")
-    dnxny = cfg.get("processor_topology", "dnxny")
-
-    nx_min = cfg.get("numerical_grid", "nx_min")
-    nx_max = cfg.get("numerical_grid", "nx_max")
-    ny_min = cfg.get("numerical_grid", "ny_min")
-    ny_max = cfg.get("numerical_grid", "ny_max")
-    nz_min = cfg.get("numerical_grid", "nz_min")
-    nz_max = cfg.get("numerical_grid", "nz_max")
-
-    poisfft = cfg.get("method", "poisfft")
-    switch = cfg.get("method", "switch")
-    temperton = cfg.get("method", "temperton")
-    mlt_grid = cfg.get("method", "mlt_grid")
-    spectr = cfg.get("method", "spectr")
-
-    import ConfigParser as conf
-    try:
-        result_threshold = cfg.get("settings", "result_threshold")
-        load_threshold = cfg.get("settings", "load_threshold")
-        path = cfg.get("settings", 'path')
-
-    except conf.NoSectionError:
-
-        path = '/localdata/'
-        result_threshold = 250000
-        load_threshold = 100000
-
-    return np_min, np_max, tpn, dnpexnpey, dnpexnpey_tolerance, dnxny, nx_min, nx_max, ny_min, ny_max, nz_min, nz_max, poisfft, switch, temperton, mlt_grid, spectr, result_threshold, load_threshold, path
-
-
-def write_config_settings(path, rslt_thrs, ld_thrs):
-
-    from ConfigParser import ConfigParser
-
-    cfg = ConfigParser()
-
-    cfg.add_section('settings')
-
-    cfg.set('settings', 'path', path)
-    cfg.set('settings', "result_threshold", rslt_thrs)
-    cfg.set('settings', "load_threshold", ld_thrs)
-
-    with open(".palm_gf_config", "a") as configfile:
-        cfg.write(configfile)
-
-
-def read_config_settings():
-
-    from ConfigParser import ConfigParser
-    import ConfigParser as con
-
-    cfg = ConfigParser()
-    cfg.read(".palm_gf_config")
-
-    try:
-        path = cfg.get("settings", "path")
-        result_thrs = cfg.get("settings", "result_threshold")
-        load_thrs = cfg.get("settings", "load_threshold")
-
-    except con.NoSectionError:
-
-        path = '/localdata/'
-        result_thrs = 250000
-        load_thrs = 100000
-
-    except con.NoOptionError:
-
-        path = '/localdata/'
-        result_thrs = 250000
-        load_thrs = 100000
-
-    #print path, result_thrs, load_thrs
-
-    return path, result_thrs, load_thrs
-
-
-# ***********************************************
-
-
-def closing_cleanup():
-    from ConfigParser import ConfigParser  # Linux
-    import ConfigParser as conf
-    import os, shutil, time
-
-    cfg = ConfigParser()
-
-    try:
-
-        cfg.read(".palm_gf_config")
-        np_min = cfg.get("processor_topology", "np_min")
-        np_max = cfg.get("processor_topology", "np_max")
-        tpn = cfg.get("processor_topology", "tasks_per_node")
-        dnpexnpey = cfg.get("processor_topology", "dnpexnpey")
-        dnpexnpey_tolerance = cfg.get("processor_topology", "dnpexnpey_tolerance")
-        dnxny = cfg.get("processor_topology", "dnxny")
-
-        nx_min = cfg.get("numerical_grid", "nx_min")
-        nx_max = cfg.get("numerical_grid", "nx_max")
-        ny_min = cfg.get("numerical_grid", "ny_min")
-        ny_max = cfg.get("numerical_grid", "ny_max")
-        nz_min = cfg.get("numerical_grid", "nz_min")
-        nz_max = cfg.get("numerical_grid", "nz_max")
-
-        poisfft = cfg.get("method", "poisfft")
-        switch = cfg.get("method", "switch")
-        temperton = cfg.get("method", "temperton")
-        mlt_grid = cfg.get("method", "mlt_grid")
-        spectr = cfg.get("method", "spectr")
-
-        var1_bool = True
-
-    except conf.NoSectionError:
-        np_min = 0
-        np_max = 0
-        tpn = 0
-        dnpexnpey = 0
-        dnpexnpey_tolerance = 0
-        dnxny = 0
-
-        nx_min = 0
-        nx_max = 0
-        ny_min = 0
-        ny_max = 0
-        nz_min = 0
-        nz_max = 0
-
-        poisfft = False
-        switch = False
-        temperton = False
-        mlt_grid = False
-        spectr = False
-        var1_bool = False
-
-    with open(".palm_gf_config", "w") as configfile:
-        cfg.write(configfile)
-
-    try:
-        cfg.read(".palm_gf_config")
-        rslt_thrs = cfg.get("settings", "result_threshold")
-        ld_thrs = cfg.get("settings", "load_threshold")
-        path = cfg.get("settings", 'path')
-
-        var2_bool = True
-
-    except conf.NoSectionError:
-
-        path = '/localdata/'
-        rslt_thrs = 250000
-        ld_thrs = 100000
-
-        var2_bool = False
-
-
-
-    with open(".palm_gf_config", "w") as configfile:
-        cfg.write(configfile)
-
-
-
-    #os.remove('.palm_gf_config')
-
-
-
-    try:
-        cfg.set("processor_topology", "np_min", np_min)
-        cfg.set("processor_topology", "np_max", np_max)
-        cfg.set("processor_topology", "tasks_per_node", tpn)
-        cfg.set("processor_topology", "dnpexnpey", dnpexnpey)
-        cfg.set("processor_topology", "dnpexnpey_tolerance", dnpexnpey_tolerance)
-        cfg.set("processor_topology", "dnxny", dnxny)
-
-
-        cfg.set("numerical_grid", "nx_min", nx_min)
-        cfg.set("numerical_grid", "nx_max", nx_max)
-        cfg.set("numerical_grid", "ny_min", ny_min)
-        cfg.set("numerical_grid", "ny_max", ny_max)
-        cfg.set("numerical_grid", "nz_min", nz_min)
-        cfg.set("numerical_grid", "nz_max", nz_max)
-
-
-        cfg.set("method", "poisfft", poisfft)
-        cfg.set("method", "switch", switch)
-        cfg.set("method", "temperton", temperton)
-        cfg.set("method", "mlt_grid", mlt_grid)
-        cfg.set("method", "spectr", spectr)
-
-    except conf.NoSectionError:
-        cfg.add_section("processor_topology")
-        cfg.set("processor_topology", "np_min", np_min)
-        cfg.set("processor_topology", "np_max", np_max)
-        cfg.set("processor_topology", "tasks_per_node", tpn)
-        cfg.set("processor_topology", "dnpexnpey", dnpexnpey)
-        cfg.set("processor_topology", "dnpexnpey_tolerance", dnpexnpey_tolerance)
-        cfg.set("processor_topology", "dnxny", dnxny)
-
-        cfg.add_section("numerical_grid")
-        cfg.set("numerical_grid", "nx_min", nx_min)
-        cfg.set("numerical_grid", "nx_max", nx_max)
-        cfg.set("numerical_grid", "ny_min", ny_min)
-        cfg.set("numerical_grid", "ny_max", ny_max)
-        cfg.set("numerical_grid", "nz_min", nz_min)
-        cfg.set("numerical_grid", "nz_max", nz_max)
-
-        cfg.add_section("method")
-        cfg.set("method", "poisfft", poisfft)
-        cfg.set("method", "switch", switch)
-        cfg.set("method", "temperton", temperton)
-        cfg.set("method", "mlt_grid", mlt_grid)
-        cfg.set("method", "spectr", spectr)
-
-
-    try:
-        cfg.set("settings", "path", path)
-        cfg.set("settings", "result_threshold", rslt_thrs)
-        cfg.set("settings", "load_threshold", ld_thrs)
-
-    except conf.NoSectionError:
-        cfg.add_section("settings")
-        cfg.set("settings", "path", path)
-        cfg.set("settings", "result_threshold", rslt_thrs)
-        cfg.set("settings", "load_threshold", ld_thrs)
-
-
-
-
-
-
-    with open(".palm_gf_config", "w") as configfile:
-        cfg.write(configfile)
-
+    return return_list
